/* 
 * Diplomová práce ÚSI VUT 
 * Forenzní analýza webového prohlížeče
 *
 * Autor: Michal Bača
 * Datum: 20.5.2015
 */
package yafft;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

/**
 *
 * @author michal
 */
public class YaFFt extends Application {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        launch(args);
        
        /*  try {
        System.setOut(new PrintStream(new File("output-file.txt")));
        } catch (Exception e) {
        e.printStackTrace();
        }
        
        */
        //počet řádků find . -name '*.java' | xargs wc -l
    }
    
    @Override
    public void start(Stage stage) throws Exception {

        FXMLLoader loader = new FXMLLoader(getClass().getResource("yafftMainWindow.fxml"));
        Parent root = (Parent) loader.load();

        Scene scene = new Scene(root);

        stage.setTitle("YaFFt");
        stage.setScene(scene);

        YafftMainWindowController mainControlller = loader.<YafftMainWindowController>getController();

        stage.show();
    }

}
